-- Quick functions to determine validity of inputs

function TechInputsValid()
	return (not ENABLE_TECH_COUNT_SCALING or TECH_COUNT_SCALE > 0) and
		   (not ENABLE_TECH_TIME_SCALING or TECH_TIME_SCALE > 0) and
		   (not ENABLE_TECH_RECIPE_SCALING or ( RED_SCIENCE_SCALE > 0 and GREEN_SCIENCE_SCALE > 0
											and BLUE_SCIENCE_SCALE > 0 and PURPLE_SCIENCE_SCALE > 0))

end

function EvolutionInputsValid()
	return MANUAL_EVOLUTION_SCALE_TIME > 0 and
		   MANUAL_EVOLUTION_SCALE_DESTROY > 0 and
		   MANUAL_EVOLUTION_SCALE_POLLUTION > 0
end